> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nx1cloud.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get metadata counts for a specific catalog

> Get schema, table, or view counts for a specific catalog from Trino.



## OpenAPI

````yaml get /api/metastore/catalogs/{catalog_name}/metadata
openapi: 3.1.0
info:
  title: Nx1 AI API
  description: |

    AI API for Nx1 Data Platform Management and Automated Data Tasks.

    Authentication is required via PSK in Authorization header.

    Default PSK is | [ask a friend] |
  version: 0.10.2
servers: []
security: []
paths:
  /api/metastore/catalogs/{catalog_name}/metadata:
    get:
      tags:
        - Metastore
      summary: Get metadata counts for a specific catalog
      description: Get schema, table, or view counts for a specific catalog from Trino.
      operationId: get_catalog_metadata_api_metastore_catalogs__catalog_name__metadata_get
      parameters:
        - name: catalog_name
          in: path
          required: true
          schema:
            type: string
            description: Name of the catalog.
            title: Catalog Name
          description: Name of the catalog.
      responses:
        '200':
          description: Catalog metadata retrieved successfully.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CatalogMetadata'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - OAuth2AuthorizationCodeBearer: []
        - APIKeyHeader: []
components:
  schemas:
    CatalogMetadata:
      properties:
        name:
          type: string
          title: Name
          description: Name of the catalog.
        schema_count:
          anyOf:
            - type: integer
            - type: 'null'
          title: Schema Count
          description: Number of schemas in the catalog.
        table_count:
          anyOf:
            - type: integer
            - type: 'null'
          title: Table Count
          description: Number of tables in the catalog excluding views.
        view_count:
          anyOf:
            - type: integer
            - type: 'null'
          title: View Count
          description: Number of views in the catalog.
      type: object
      required:
        - name
      title: CatalogMetadata
    ErrorResponse:
      properties:
        error:
          type: string
          title: Error
          description: A brief description of the error that occurred.
        code:
          type: integer
          title: Code
          description: The HTTP status code associated with the error.
          default: 500
      type: object
      required:
        - error
      title: ErrorResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    OAuth2AuthorizationCodeBearer:
      type: oauth2
      flows:
        authorizationCode:
          scopes: {}
          authorizationUrl: >-
            https://sso-rapid.rapid.nx1cloud.com/realms/rapid/protocol/openid-connect/auth
          tokenUrl: >-
            https://sso-rapid.rapid.nx1cloud.com/realms/rapid/protocol/openid-connect/token
    APIKeyHeader:
      type: apiKey
      in: header
      name: Authorization-PSK

````